Storyden
Roles

Role Create

Creates a role with the specified permissions granted.

POST/roles

Creates a role with the specified permissions granted.

storyden-session<token>

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/roles" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "colour": "string",    "permissions": [      "CREATE_POST"    ]  }'
{
  "id": "cc5lnd2s1s4652adtu50",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "deletedAt": "2019-08-24T14:15:22Z",
  "misc": {},
  "name": "string",
  "colour": "string",
  "permissions": [
    "CREATE_POST"
  ],
  "meta": {}
}
Empty
Empty
{
  "type": "string",
  "title": "string",
  "detail": "string",
  "trace_id": "string",
  "metadata": {}
}